require([
    'gitbook',
    'jquery'
], function(gitbook, $) {
    var timer = null;
    var input;
    var inputVal = '';
    var kw = '';
    var lastKw = '';
    var searchRes = null;
    var searchData = '';
    var resHtml = '';
    var resTitle = '',
        resContent = '';
        var url;
    function checkInput () {
        lastKw = kw;
        kw = input.val();
        if (kw === lastKw) {
            console.log('same');
            //return;
        } else {
            url = "http://apmjs.baidu.com:8000/cgi-bin/psdoc-req.sh";
            $.ajax({
                url: "http://apmjs.baidu.com:8000/cgi-bin/psdoc-req.sh?query=" + kw,
                type: "GET",
                success: function (data) {
                    if (data && data.itemList && data.itemList.length > 0) {
                        $('.normal').hide();
                        $('.result').remove();
                        searchData = data.itemList;
                        searchData.forEach(function (item, index) {
                            resHtml = '<div class="result"><a class="res-link"  href="' + item.url + '"><div class="res-title">'+ item.title + '</div></a></div>';
                            searchRes.append(resHtml);
                        });
                    } else {
                        $('.normal').show();
                    }
                },
                error: function () {
                    $('.normal').show();
                }
            });
        }
        timer = setTimeout(function() {
            checkInput();
        }, 300);
    }
    gitbook.events.bind("start", function(e) {
        console.log('11111');
        var searchObj = $('<div id="book-search-input"></div>');
        input = $('<input type="text" placeholder="输入并搜索" />');
        searchRes = $('<div class="book-search-result"></div>');
        input.on('focus', function () {
            lastKw = input.val();
            inputVal = input.val();
            checkInput();
        });
        input.on('blur', function () {
            clearTimeout(timer);
        })
        searchObj.append(input);
        $('.book-summary').prepend(searchObj);
        $('.page-inner').prepend(searchRes);
    });
});
